.news {
  .article {
    &:last-child {
      margin-bottom: 20px;
      padding-bottom: 10px;
    }
  }

  .footer {
    border-top: none;
    color: #aaa;
    font-size: 14px;
    padding: 0px;
  }
}

.news-list-view {
  .f3-widget-paginator {
    column-gap: 7px;
    display: inline-flex;
    list-style: none;
    padding-left: 0;

    .current .btn {
      cursor: initial;
    }
  }
}

.news-list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-column-gap: 30px;

  .article {
    box-shadow: 0 0 7px $shadow-color;
    border-radius: 3px;
    margin: 20px 0;
    transition: box-shadow 0.2s ease-in 0.1s;

    @media(prefers-color-scheme: dark) {
      box-shadow: 0 0 7px $dark-shadow-color;
    }

    &:hover {
      box-shadow: 3px 3px 20px $shadow-color;

      @media(prefers-color-scheme: dark) {
        box-shadow: 3px 3px 20px $dark-shadow-color;
      }
    }

    p {
      text-align: left;
    }

    h3 {
      text-decoration: none;
      text-decoration-thickness: initial;
    }

    .news-img-wrap {
      float: none;
      margin: initial;

      a {
        border: none;
        float: none;
        padding: 0;
        background-color: $background-color;

        @media(prefers-color-scheme: dark) {
          background-color: $dark-background-color;
        }

        img {
          float: none;
          width: 100%;
        }
      }
    }

    .news-content-wrap {
      margin: 10px 20px;
    }
  }
}

.news-single {
  .teaser-text {
    color: $text-color;
  }
}

@media all and (max-width: $menu-breakpoint) {
  .news-list {
    grid-template-columns: 1fr;
  }
}
